# Response Data Structure

### MerchantProfileData

<table><thead><tr><th width="214">Parameter</th><th width="189.33333333333334">Data Type </th><th>Description</th></tr></thead><tbody><tr><td>merchantCode </td><td>String </td><td>Merchant code </td></tr><tr><td>merchantName </td><td>String </td><td>Merchant name </td></tr><tr><td>currentCredit </td><td>Number </td><td>The current amount in disbursement account of merchant (for VND currency) </td></tr><tr><td>currencies </td><td><p>Array</p><p>[<a href="#currencydataitem">CurrencyDataItem</a>] </p></td><td>The array contains the currency information. </td></tr><tr><td>topupData </td><td><p>Array</p><p>[<a href="#topupdataitem">TopupDataItem</a>] </p></td><td>The array contains the method information to cash in the disbursement account. </td></tr></tbody></table>

### TopupDataItem

<table><thead><tr><th width="211">Parameter</th><th width="118.33333333333334">Data Type </th><th>Description</th></tr></thead><tbody><tr><td>type </td><td>String </td><td>“BANK_TRANSFER” </td></tr><tr><td>qrText </td><td>String </td><td>This string to generate the QR code, and then use the app of banks which can support scanning &#x26; transferring. Only for the BANK_TRANSFER type. </td></tr><tr><td>bankAccountNumber </td><td>String </td><td>The bank account number of the receiver. </td></tr><tr><td>bankAccountName </td><td>String </td><td>The bank account name of the receiver. </td></tr><tr><td>bankName </td><td>String </td><td>The name of receiving bank. </td></tr><tr><td>transferRemark </td><td>String </td><td>Transfer remark. </td></tr></tbody></table>

### DisbursementRequestRespData

<table><thead><tr><th width="175">Parameter</th><th width="131.33333333333334">Data Type </th><th>Description</th></tr></thead><tbody><tr><td>requestId </td><td>String </td><td>The ID of request. </td></tr><tr><td>code </td><td>Number </td><td>Logic’s error code. </td></tr><tr><td>status </td><td>String </td><td><em>PASSED</em>: Request is submitted successfully. <br><em>FAILED</em>: Request is submitted fail.  </td></tr></tbody></table>

### DisbursementTransactionsRespData

<table><thead><tr><th width="150.33333333333334">Parameter</th><th width="275">Data Type </th><th>Description</th></tr></thead><tbody><tr><td>requestId </td><td>String </td><td>The ID of disbursement request. </td></tr><tr><td>refCode </td><td>String </td><td>The Ref code from NeoPay. </td></tr><tr><td>status </td><td>String </td><td><p>The status of request: </p><p><em>PASSED</em> </p><p><em>FAILED</em> </p><p><em>APPROVED</em>  </p><p><em>REJECTED</em> </p></td></tr><tr><td>transactions </td><td><p>Array</p><p>[<a href="#disbursementtransactionitem">DisbursementTransactionItem</a>] </p></td><td>The array contains the disbursement transaction information.  </td></tr></tbody></table>

### DisbursementTransactionItem

<table><thead><tr><th width="219">Parameter</th><th width="124.33333333333334">Data Type </th><th>Description</th></tr></thead><tbody><tr><td>requestId </td><td>String </td><td>The ID of disbursement request. </td></tr><tr><td>transId </td><td>String </td><td>The ID of disbursement transaction. </td></tr><tr><td>requestTransId </td><td>String </td><td>The ID of disbursement transaction is provided by the merchant (when submitting the request). </td></tr><tr><td>amount </td><td>Number </td><td>The amount of disbursement transaction (VND as default). </td></tr><tr><td>srcAmount </td><td>Number </td><td>The amount - foreign currency (different from VND). Which will be deducted from pre-fund account </td></tr><tr><td>srcCurrency </td><td>String </td><td>The pre-fund account currency. </td></tr><tr><td>fxRate </td><td>Number </td><td>The exchange rate between the srcCurrency against the VND </td></tr><tr><td>fee </td><td>Number </td><td>The fee of disbursement transaction. </td></tr><tr><td>receiver </td><td>String </td><td>The name of receiving person/organization.  </td></tr><tr><td>bankAccountNumber </td><td>String </td><td>The bank account number of the receiver. </td></tr><tr><td>status </td><td>String </td><td><p>The status of transaction:  <br><em>SUCCESS</em> </p><p><em>FAILED</em> </p><p><em>PROCESSING</em> </p><p><em>WAITING_PROCESS</em> </p></td></tr><tr><td>failedReason </td><td>String </td><td>The reason of failure (If the status is not “FAILED”, the failedReason will be null). </td></tr><tr><td>code </td><td>Number </td><td>Logic’s error code.  Refer to <a href="error-codes">table of error codes</a></td></tr></tbody></table>

### ExchangeRateRespItem

| Parameter | Data Type | Description             |
| --------- | --------- | ----------------------- |
| currency  | String    | The currency            |
| fxRate    | Number    | The value of forex rate |

### CurrencyDataItem

<table><thead><tr><th width="206">Parameter</th><th width="169.33333333333331">Data Type </th><th>Description</th></tr></thead><tbody><tr><td>code </td><td>String </td><td>Currency code </td></tr><tr><td>balance </td><td>Number </td><td>The balance of corresponding currency type. </td></tr></tbody></table>

### ExchangeTransactionItem

<table><thead><tr><th width="219">Parameter</th><th width="124.33333333333334">Data Type </th><th>Description</th></tr></thead><tbody><tr><td>requestId </td><td>String </td><td>The ID of exchange request. </td></tr><tr><td>srcAmount </td><td>Number </td><td>The amount of srcCurrency</td></tr><tr><td>dstAmount</td><td>Number</td><td>The amount of dstAmount</td></tr><tr><td>srcCurrency </td><td>String </td><td>The source currency. </td></tr><tr><td>dstCurrency</td><td>String</td><td>The destination currency. </td></tr><tr><td>fxRate </td><td>Number </td><td>The exchange rate between the srcCurrency against the VND</td></tr><tr><td>status </td><td>String </td><td><p>SUCCESS: Exchange success</p><p>FAILED: Exchange failed</p></td></tr><tr><td>failedReason </td><td>String </td><td>The reason of failure</td></tr><tr><td>code </td><td>Number </td><td>Logic’s error code.  Refer to <a href="error-codes">table of error codes</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/v2/disbursement/integration/response-data-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
